"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index_esm = require("../../../tiny-svg/dist/index.esm.js");
function c(n) {
  return n.join(",").replace(/,?([A-z]),?/g, "$1");
}
function i(n) {
  for (var t = "", r = 0, e; e = n[r]; r++)
    t += e.x + "," + e.y + " ";
  return t;
}
function f(n, t) {
  var r = index_esm.create("polyline");
  return index_esm.attr(r, { points: i(n) }), t && index_esm.attr(r, t), r;
}
function p(n, t) {
  return index_esm.attr(n, { points: i(t) }), n;
}
exports.componentsToPath = c;
exports.createLine = f;
exports.toSVGPoints = i;
exports.updateLine = p;
